package src.Generics;

import java.util.Dictionary;
import java.util.HashMap;
import java.util.List;
import java.util.Queue;
import java.util.stream.Collectors;

import src.MovementStrategy.DrawningObjectAirplane;
import src.DrawningObjects.DrawningAirplane;
public class AirplaneGenericStorage {
    final HashMap<String, AirplaneGenericCollection<DrawningAirplane, DrawningObjectAirplane>> _airplaneStorages;
    public List<String> Keys(){
        if(_airplaneStorages == null)
            return null;
        return _airplaneStorages.keySet().stream().collect(Collectors.toList());
    }
    private final int _pictureWidth;
    private final int _pictureHeight;

    public AirplaneGenericStorage(int pictureWidth, int pictureHeight){
        _airplaneStorages = new HashMap<>();
        _pictureWidth = pictureWidth;
        _pictureHeight = pictureHeight;
    }

    public void AddSet(String name){
        if(_airplaneStorages.containsKey(name))
            return;
        _airplaneStorages.put(name, new AirplaneGenericCollection<>(_pictureWidth, _pictureHeight));
    }

    public void DelSet(String name){
        if(!_airplaneStorages.containsKey(name))
            return;
        _airplaneStorages.remove(name);
    }

    public AirplaneGenericCollection<DrawningAirplane, DrawningObjectAirplane> Get(String name){
        if(!_airplaneStorages.containsKey(name))
            return null;
        return _airplaneStorages.get(name);
    }

    public DrawningAirplane Get(String collectionName, int position){
        return _airplaneStorages.get(collectionName).Get(position);
    }
}
